Bug 998517 - (Enlightenment-Tracking) Enlightenment
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Reznik
: Tracking
Depends On: Enlightenment-Tracker
Blocks: Enlightenment-docs 1008195
  Show dependency treegraph
Reported: 2013-08-19 09:23 EDT by Jaroslav Reznik
Modified: 2013-12-18 09:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: Enlightenment-docs 1008195 (view as bug list)
Last Closed: 2013-12-18 09:00:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2013-08-19 09:23:19 EDT
This is a tracking bug for Change: Enlightenment
For more details, see: http://fedoraproject.org//wiki/Changes/Enlightenment

Enlightenment 0.17 a new stable release has been released after 12 years or so of development. As many desktops are being landed on Fedora, Integrating Enlightenment in Fedora can not only enlarge the number of available desktops in Fedora, but also improve user experiences and give users another choice of Desktop Environment.
Comment 1 Jaroslav Reznik 2013-10-11 04:44:28 EDT
This message is a reminder that Fedora 20 Accepted Changes 100%
Completed Deadline is on 2013-10-15 [1].

All Accepted Changes has to be code complete and ready to be
validated in the Beta release (optionally by Fedora QA). Required
bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a
point of contingency plan, all incomplete Changes will be 
reported to FESCo for 2013-10-16 meeting. In case of any
questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/20/Schedule
Comment 2 Jaroslav Reznik 2013-10-23 07:58:01 EDT
Moving to ON_QA as agreed with Change owners.
Comment 3 Ankur Sinha (FranciscoD) 2013-11-04 20:53:16 EST

How does one test enlightment? 

yum grouplist doesn't show Enlightment, and yum install @enlightment doesn't do anything either. Is there another way of installing the package set?

Warm regards,
Comment 4 Ankur Sinha (FranciscoD) 2013-11-04 21:05:41 EST
Wrong spelling:


yum/dnf install @enlightenment and got nothing too:

[asinha@ankur-laptop  ~]$ sudo yum install @enlightenment
[sudo] password for asinha:
Loaded plugins: langpacks, refresh-packagekit
Nothing to do
[asinha@ankur-laptop  ~]$

Can the wiki page please be updated to contain the correct command so we can test the package list? 


Thanks :)
Warm regards,
Comment 6 Naoki 2013-12-17 21:31:09 EST
Although this works:

# yum info enlightenment
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit, versionlock
Available Packages
Name        : enlightenment
Arch        : x86_64
Version     : 0.17.5
Release     : 2.fc20
Size        : 2.1 M
Repo        : updates/20/x86_64
Summary     : Enlightenment window manager
URL         : http://enlightenment.org
License     : BSD
Description : Enlightenment window manager is a lean, fast, modular and very extensible window
            : manager for X11 and Linux. It is classed as a "desktop shell" providing the
            : things you need to operate your desktop (or laptop), but is not a whole '
            : application suite. This covered launching applications, managing their windows
            : and doing other system tasks like suspending, reboots, managing files etc.

# yum install enlightenment
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit, versionlock
Resolving Dependencies
--> Running transaction check
--> Finished Dependency Resolution

Dependencies Resolved

 Package                                  Arch                       Version                              Repository                   Size
 enlightenment                            x86_64                     0.17.5-2.fc20                        updates                     2.1 M
Installing for dependencies:
 e_dbus                                   x86_64                     1.7.9-1.fc20                         updates                     136 k
 ecore                                    x86_64                     1.7.9-2.fc20                         updates                     358 k
 edje                                     x86_64                     1.7.9-1.fc20                         updates                     330 k
 eet                                      x86_64                     1.7.9-1.fc20                         updates                      76 k
 eeze                                     x86_64                     1.7.9-1.fc20                         updates                      18 k
 efreet                                   x86_64                     1.7.9-1.fc20                         updates                      91 k
 eio                                      x86_64                     1.7.9-1.fc20                         updates                      41 k
 elementary                               x86_64                     1.7.9-1.fc20                         updates                     5.3 M
 embryo                                   x86_64                     1.7.9-1.fc20                         updates                      87 k
 emotion                                  x86_64                     1.7.9-1.fc20                         updates                     108 k
 enlightenment-data                       noarch                     0.17.5-2.fc20                        updates                      24 M
 ethumb                                   x86_64                     1.7.9-1.fc20                         updates                      82 k
 evas                                     x86_64                     1.7.9-1.fc20                         updates                     1.3 M
 evas-generic-loaders                     x86_64                     1.7.9-1.fc20                         updates                      53 k
 libeina                                  x86_64                     1.7.9-1.fc20                         updates                     150 k
 tslib                                    x86_64                     1.0-7.fc20                           fedora                       66 k
 xcb-util-keysyms                         x86_64                     0.3.9-3.fc20                         fedora                      9.7 k

Transaction Summary
Install  1 Package (+17 Dependent packages)

Total download size: 34 M
Installed size: 48 M
Is this ok [y/d/N]: y
Downloading packages:
Total                                                                                                       4.6 MB/s |  34 MB  00:00:07     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction

Not yet tested.
Comment 7 Naoki 2013-12-17 21:38:36 EST
Tested and it works as you would expect. Enlightenment is now an option from the login menu (after selecting user, from the drop down menu next to LOGIN button).
Comment 8 Jaroslav Reznik 2013-12-18 09:00:52 EST
Closing this bug as this Change was delivered in Fedora 20 release. Please, reopen in case of any issues you encounter regarding this Change completion.

Note You need to log in before you can comment on or make changes to this bug.